-
- All Implemented Interfaces:
public abstract class ContentProtectionIntegration
-
-
Method Summary
Modifier and Type Method Description voidonCertificateRequest(Request request, CertificateRequestCallback callback)This handler can be used to wrap the certificate request in a new body, add authentication tokens, add HTTP headers, query parameters, ... voidonCertificateResponse(Response response, CertificateResponseCallback callback)This handler can be used to extract the certificate from a wrapped body, read HTTP response headers, ... voidonLicenseRequest(Request request, LicenseRequestCallback callback)This handler can be used to wrap the license request in a new body, add authentication tokens, add HTTP headers, query parameters, ... voidonLicenseResponse(Response response, LicenseResponseCallback callback)This handler can be used to extract the license from a wrapped body, read HTTP response headers, ... -
-
Method Detail
-
onCertificateRequest
void onCertificateRequest(Request request, CertificateRequestCallback callback)
This handler can be used to wrap the certificate request in a new body, add authentication tokens, add HTTP headers, query parameters, ...
-
onCertificateResponse
void onCertificateResponse(Response response, CertificateResponseCallback callback)
This handler can be used to extract the certificate from a wrapped body, read HTTP response headers, ...
-
onLicenseRequest
void onLicenseRequest(Request request, LicenseRequestCallback callback)
This handler can be used to wrap the license request in a new body, add authentication tokens, add HTTP headers, query parameters, ...
-
onLicenseResponse
void onLicenseResponse(Response response, LicenseResponseCallback callback)
This handler can be used to extract the license from a wrapped body, read HTTP response headers, ...
-
-
-
-